Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Class DrawingTextPlaceholder

    java.lang.Object
      org.apache.poi.xslf.usermodel.DrawingTextBody
          org.apache.poi.xslf.usermodel.DrawingTextPlaceholder

    public class DrawingTextPlaceholder

extends DrawingTextBody

A `DrawingTextBody` which is a placeholder

Author:
  nick

Constructor Summary
`DrawingTextPlaceholder(org.openxmlformats.schemas.drawingml.x2006.main.CTTextBody textBody, org.openxmlformats.schemas.presentationml.x2006.main.CTPlaceholder placeholder)`

Method Summary
`java.lang.String` | `getPlaceholderType()` What kind of placeholder is this?
`org.openxmlformats.schemas.presentationml.x2006.main.STPlaceholderType.Enum` | `getPlaceholderTypeEnum()` What kind of placeholder is this?
`boolean` | `isPlaceholderCustom()` Is the PlaceHolder text customised?

Methods inherited from class org.apache.poi.xslf.usermodel.DrawingTextBody
`getParagraphs`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DrawingTextPlaceholder

    public DrawingTextPlaceholder(org.openxmlformats.schemas.drawingml.x2006.main.CTTextBody textBody,
                                  org.openxmlformats.schemas.presentationml.x2006.main.CTPlaceholder placeholder)

Method Detail

### getPlaceholderType

    public java.lang.String getPlaceholderType()

  What kind of placeholder is this?

### getPlaceholderTypeEnum

    public org.openxmlformats.schemas.presentationml.x2006.main.STPlaceholderType.Enum getPlaceholderTypeEnum()

  What kind of placeholder is this?

### isPlaceholderCustom

    public boolean isPlaceholderCustom()

  Is the PlaceHolder text customised?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD